// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "display/mesh/Mesh.hpp"

#define PLANE_VERTICE_PER_SEGMENT 4
#define PLANE_INDICE_PER_SEGMENT 6

namespace Dawn {
  class PlaneMesh {
    public:
      static void buffer(
        const std::shared_ptr<Mesh> mesh,
        const glm::vec2 planeSize,
        const int32_t columns,
        const int32_t rows
      );
  };
}